Skip to Content
inclamoDocs

Update a portal

PATCH
/api/v1/accounts/{account_id}/portals/{portal_slug}

Update a portal to account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

portal_slug*string

The slug of the portal. The numeric portal ID is not accepted.

Request Body

application/json
  1. body
color?string

Header color for help-center in hex format

custom_domain?string

Custom domain to display help center.

header_text?string

Help center header

homepage_link?string

link to main dashboard

name?string

Name for the portal

page_title?string

Page title for the portal

slug?string

Slug for the portal to display in link

archived?boolean

Status to check if portal is live

config?

Configuration about supporting locales

Response Body

Success

application/json
  1. response
payload?
Example Request
curl -X PATCH 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "payload": {    "id": 123,    "archived": false,    "color": "#1F93FF",    "config": {      "allowed_locales": [        {          "code": "en",          "articles_count": 32,          "categories_count": 9        }      ]    },    "custom_domain": "chatwoot.help",    "header_text": "Handbook",    "homepage_link": "https://www.chatwoot.com",    "name": "Handbook",    "slug": "handbook",    "page_title": "Handbook",    "account_id": 123,    "inbox": {      "id": 123,      "name": "Chatwoot",      "website_url": "chatwoot.com",      "channel_type": "Channel::WebWidget",      "avatar_url": "https://example.com/avatar.png",      "widget_color": "#1F93FF",      "website_token": "4cWzuf9i9jxN9tbnv8K9STKU",      "enable_auto_assignment": true,      "web_widget_script": "<script>...</script>",      "welcome_title": "Hi there ! 🙌🏼",      "welcome_tagline": "We make it simple to connect with us.",      "greeting_enabled": true,      "greeting_message": "Hey there 👋, Thank you for reaching out to us.",      "channel_id": 123,      "working_hours_enabled": true,      "enable_email_collect": true,      "csat_survey_enabled": true,      "timezone": "America/Los_Angeles",      "business_name": "Chatwoot",      "hmac_mandatory": true    },    "logo": {      "id": 123,      "portal_id": 123,      "file_type": "image/png",      "account_id": 123,      "file_url": "https://example.com/logo.png",      "blob_id": 123,      "filename": "square.png"    },    "meta": {      "all_articles_count": 32,      "categories_count": 9,      "default_locale": "en"    }  }}